Skip to main content
GET
/
blocks
/
arbitrum-batch
/
{batch_number_param}
List L2 blocks in an Arbitrum batch
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/blocks/arbitrum-batch/{batch_number_param}?apikey='
{
  "items": [
    {
      "base_fee_per_gas": "<string>",
      "burnt_fees": "<string>",
      "burnt_fees_percentage": 123,
      "difficulty": "<string>",
      "gas_limit": "<string>",
      "gas_target_percentage": 123,
      "gas_used": "<string>",
      "gas_used_percentage": 123,
      "hash": "<string>",
      "height": 1,
      "internal_transactions_count": 123,
      "is_pending_update": true,
      "miner": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "nonce": "<string>",
      "parent_hash": "<string>",
      "priority_fee": "<string>",
      "rewards": [
        {
          "reward": "<string>",
          "type": "<string>",
          "address_hash": "<string>"
        }
      ],
      "size": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "total_difficulty": "<string>",
      "transaction_fees": "<string>",
      "transactions_count": 123,
      "type": "block",
      "uncles_hashes": [
        {
          "hash": "<string>"
        }
      ],
      "withdrawals_count": 1,
      "arbitrum": {
        "batch_number": 123,
        "commitment_transaction": {
          "hash": "<string>",
          "status": "unfinalized",
          "timestamp": "2023-11-07T05:31:56Z"
        },
        "confirmation_transaction": {
          "hash": "<string>",
          "status": "unfinalized",
          "timestamp": "2023-11-07T05:31:56Z"
        },
        "status": "Confirmed on base",
        "batch_data_container": "in_blob4844",
        "delayed_messages": 123,
        "l1_block_number": 123,
        "send_count": 123,
        "send_root": "<string>"
      }
    }
  ],
  "next_page_params": {
    "block_number": 22566361,
    "items_count": 50
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

batch_number_param
integer
required

Batch number

Required range: x >= 0

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

block_number
integer

Block number for paging

Required range: x >= 0
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

L2 blocks in the specified Arbitrum batch.

items
Block · object[]
required
next_page_params
object
required
Example:
{
"block_number": 22566361,
"items_count": 50
}